Bug 125795 - STARTTLS configuration on but no certs created
STARTTLS configuration on but no certs created
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: sendmail (Show other bugs)
3.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Thomas Woerner
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-11 10:47 EDT by Steve Bonneville
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-01 22:55:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Bonneville 2004-06-11 10:47:39 EDT
Description of problem:

Between 8.12.10-1 and 8.12.11-3.3, the default configuration in
/etc/mail/sendmail.mc changed to uncomment the defines enabling
STARTTLS certs for the server and for SSL client authentication.
However, no certificates are actually included, leading to errors like
the following in /var/log/maillog:

Jun 11 10:22:48 server1 sendmail[4998]: STARTTLS=server: file
/etc/mail/certs/cert.pem unsafe: No such file or directory

These lines should probably be commented back out in the default
configuration, unless and until we somehow autogenerate appropriate
SSL certificates.

Version-Release number of selected component (if applicable):

sendmail-8.12.11-3.3
Comment 1 Jay Turner 2004-09-01 22:55:24 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-299.html

Note You need to log in before you can comment on or make changes to this bug.